# \<say>

**Role:** \<say> Read the text convert to audio and play it back to the caller. This is a powerful tool specially when you want to play a dynamic content to the caller. Assume there are some limitation on converting text to audio, So we strongly suggest to test the text phrases before final deployment.

**Use:**&#x20;

* *Helps you create a dynamic content. For example greet the caller by the Name from the address table. Or Playing the current temperature to the caller.*<br>

### Attributes

| <p><strong>Attribute</strong><br></p> | <p><strong>Value</strong><br></p> | <p><strong>Default</strong><br></p> |
| ------------------------------------- | --------------------------------- | ----------------------------------- |
| action                                | Callback URL                      | none                                |
| Method                                | POST/GET                          | POST                                |
| voice                                 | man/woman                         | woman                               |
| loop                                  | Integer value                     | 1                                   |
| Language                              | en,es                             | en                                  |

#### Here is an example of how \<say> is used within code.

```
<?xml version="1.0" encoding="UTF-8"?> 
<Response>
         <Say>Please enter the Extension number you want to dial.</Say>
 </Response>
```

You can use one the attributes. For example below code will select the women voice to convert the text to audio. Loop attribute will repeat the the message 10 times.

```
<?xml version="1.0" encoding="UTF-8"?> 
<Response>
         <Say voice="women" loop=10>Please enter the Extension number you want to dial.</Say>
 </Response>
```

Action attribute, can be used to call a url, we dont expect anything back from the url. Any response will be discarded.\
At this time we only support English language. We will be adding more languages soon.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-say-greater-than.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
